## android-file-transfer 3.2+git20180324

=== debian/changelog ===
android-file-transfer (3.2+git20180324-0~mx17) mx; urgency=medium

  * New upstream (continuous) release
  * Packaged for MX-17

 -- Timothy E. Harris <maintainer@mxrepo.com>  Thu, 29 Mar 2018 16:58:32 -0400

android-file-transfer (3.2-1~artful) artful; urgency=low

  * New upstream release

 -- Aleksey Samoilov <samoilov.lex@gmail.com>  Tue, 27 Jun 2017 17:17:34 +0900

android-file-transfer (3.2-1~sunderland93) unstable; urgency=medium

  * New upstream release

 -- Aleksey Samoilov <samoilov.lex@gmail.com>  Tue, 27 Jun 2017 17:14:41 +0900

android-file-transfer (3.0-6) unstable; urgency=medium

  * Rebuild for Ubuntu

 -- Aleksey Samoilov <samoilov.lex@gmail.com>  Sun, 04 Jun 2017 19:03:34 +0900

android-file-transfer (3.0-3) xenial; urgency=low

  * Rebuild for Ubuntu

 -- Aleksey Samoilov <samoilov.lex@gmail.com>  Sun, 04 Jun 2017 16:51:41 +0900

android-file-transfer (3.0-2) unstable; urgency=medium

  * Build for Debian
   * Add package with cli tool

 -- Aleksey Samoilov <samoilov.lex@gmail.com>  Sun, 04 Jun 2017 16:05:39 +0900

aftl (3.0-1) unstable; urgency=medium

  * New upstream release

 -- Aleksey Samoilov <samoilov.lex@gmail.com>  Fri, 12 Aug 2016 15:18:51 +0900

aftl (2.4-1) unstable; urgency=meduim

  * Better cli tool, with interactive mode, progress indicators and recursive upload/download support.
  * FUSE wrapper reconnects automatically, survives device reconnect.
  * Mac OS X support.
  * License changed to GPLv3.
  * Tweaks to build system, made qt/readline optional, appdata.xml added.
 
  
 -- Aleksey Samoilov <samoilov.lex@gmail.com>  Mon, 26 Oct 2015 19:44:05 +0900
