=== debian/control ===
Source: android-file-transfer
Section: utils
Priority: optional
Maintainer: Aleksey Samoilov <samoilov.lex@gmail.com>
Build-Depends: debhelper (>= 9),
                              cmake,
                              qtbase5-dev,
                              libmagic-dev,
                              libfuse-dev
Standards-Version: 3.9.8
Homepage: https://github.com/whoozle/android-file-transfer-linux

Package: android-file-transfer
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: aftl-unstable, aftl
Replaces: aftl-unstable, aftl
Description: Android File Transfer for Linux (Qt client)
 Android File Transfer for Linux — reliable MTP client with minimalistic UI
 similar to Android File Transfer for Mac.
 It just works™.
 .
 This package contains Qt5 client
 
Package: aft-mtp-cli
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Android File Transfer for Linux
 Android File Transfer for Linux — reliable MTP client with minimalistic UI
 similar to Android File Transfer for Mac.
 It just works™.
 .
 This package contains the command line utility for mounting an MTP device
 as a FUSE filesystem.
