=== debian/changelog ===
android-file-transfer (3.9+dfsg-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:09:36 +0100

android-file-transfer (3.9+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Remove upstream patch.
  * Bump Standards-Version to 4.4.0.

 -- Dylan Aïssi <daissi@debian.org>  Mon, 09 Sep 2019 21:33:30 +0200

android-file-transfer (3.7+dfsg-1) unstable; urgency=medium

  * Initial release. (Closes: #928309)

 -- Dylan Aïssi <daissi@debian.org>  Wed, 01 May 2019 22:08:46 +0200
