=== debian/control ===
Source: android-file-transfer
Maintainer: Dylan Aïssi <daissi@debian.org>
Section: misc
Priority: optional
Build-Depends: debhelper-compat (= 12),
               cmake,
               qtbase5-dev,
               libfuse-dev,
               libreadline-dev,
               pkg-config
Standards-Version: 4.4.0
Vcs-Browser: https://salsa.debian.org/daissi/android-file-transfer
Vcs-Git: https://salsa.debian.org/daissi/android-file-transfer.git
Homepage: https://whoozle.github.io/android-file-transfer-linux/

Package: android-file-transfer
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: reliable MTP client with minimalistic UI
 Android-File-Transfer is a reliable MTP client with minimalistic UI.
 Its features are:
 1. Simple Qt UI with progress dialogs.
 2. FUSE wrapper, supporting partial read/writes, allowing instant access
      to your files.
 3. No file size limits.
 4. Automatically renames album cover to make it visible from media player.
 5. USB ‘Zerocopy’ support found in recent Linux kernel (no user/kernel
      data copying).
 6. No extra dependencies (e.g. libptp/libmtp).
 7. Available as static/shared library.
 8. Command line tool (aft-mtp-cli).
