=== cli/CMakeLists.txt ===
--- 
+++ 
@@ -9,6 +9,7 @@
 	cli.cpp)
 
 if (READLINE_FOUND)
+	set(CMAKE_REQUIRED_INCLUDES ${Readline_INCLUDE_DIR})
 	set(CMAKE_REQUIRED_LIBRARIES ${Readline_LIBRARY})
 	set(READLINE_TEST_SRC "
 #include <stdio.h>
@@ -35,6 +36,7 @@
 		endif()
 	endif()
 
+	set(CMAKE_REQUIRED_INCLUDES)
 	set(CMAKE_REQUIRED_LIBRARIES)
 endif()
 
@@ -47,5 +49,28 @@
 endif()
 
 add_executable(aft-mtp-cli ${CLI_SOURCES})
+target_include_directories(aft-mtp-cli SYSTEM PRIVATE ${Readline_INCLUDE_DIR})
 target_link_libraries(aft-mtp-cli ${MTP_LIBRARIES} ${CLI_LIBRARIES} ${CMAKE_THREAD_LIBS_INIT})
 install(TARGETS aft-mtp-cli RUNTIME DESTINATION bin)
+
+if (BUILD_QT_UI AND (${CMAKE_SYSTEM_NAME} MATCHES "Darwin"))
+	add_custom_command(TARGET aft-mtp-cli POST_BUILD COMMAND ${CMAKE_INSTALL_NAME_TOOL} -add_rpath "@executable_path/../../Frameworks/" $<TARGET_FILE:aft-mtp-cli>)
+	add_custom_command(TARGET aft-mtp-cli POST_BUILD COMMAND ${OTOOL_BIN} -L $<TARGET_FILE:aft-mtp-cli>)
+	set(AFT_MTP_CLI_PATH "${MACOSX_BUNDLE_ROOT_DIR}/Contents/SharedSupport/bin/aft-mtp-cli")
+	set(MACOSX_BUNDLE_LIBS_INSTALL "
+		${MACOSX_BUNDLE_LIBS_INSTALL}
+		file(INSTALL \"${CMAKE_CURRENT_BINARY_DIR}/aft-mtp-cli\" DESTINATION \"${MACOSX_BUNDLE_ROOT_DIR}/Contents/SharedSupport/bin\")
+	")
+	foreach(DYNLIB ${MACOSX_BUNDLE_LIBS})
+		get_filename_component(DYNLIB_NAME "${DYNLIB}" NAME)
+		set(MACOSX_BUNDLE_LIBS_INSTALL "
+			${MACOSX_BUNDLE_LIBS_INSTALL}
+			message(STATUS \"cli: fixing ${DYNLIB_NAME}\")
+			execute_process(COMMAND \"${CMAKE_INSTALL_NAME_TOOL}\" -change \"${DYNLIB}\" \"@executable_path/../../Frameworks/${DYNLIB_NAME}\" \"${AFT_MTP_CLI_PATH}\")
+		")
+	endforeach()
+	set(MACOSX_BUNDLE_LIBS_INSTALL "
+		${MACOSX_BUNDLE_LIBS_INSTALL}
+		execute_process(COMMAND \"${OTOOL_BIN}\" -L \"${AFT_MTP_CLI_PATH}\")
+	" PARENT_SCOPE)
+endif()
