=== debian/changelog ===
android-file-transfer (4.2-1) unstable; urgency=medium

  * Update VCS fields to point to the Debian namespace on salsa.
  * New upstream version
  * Standards-Version: 4.5.1 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Add qttools5-dev to BD

 -- Dylan Aïssi <daissi@debian.org>  Tue, 02 Feb 2021 17:38:41 +0100
