=== debian/control ===
--- 
+++ 
@@ -2,16 +2,18 @@
 Maintainer: Dylan Aïssi <daissi@debian.org>
 Section: misc
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                cmake,
                qtbase5-dev,
                libfuse-dev,
                libreadline-dev,
-               pkg-config
-Standards-Version: 4.4.0
-Vcs-Browser: https://salsa.debian.org/daissi/android-file-transfer
-Vcs-Git: https://salsa.debian.org/daissi/android-file-transfer.git
+               pkg-config,
+               qttools5-dev
+Standards-Version: 4.5.1
+Vcs-Browser: https://salsa.debian.org/debian/android-file-transfer
+Vcs-Git: https://salsa.debian.org/debian/android-file-transfer.git
 Homepage: https://whoozle.github.io/android-file-transfer-linux/
+Rules-Requires-Root: no
 
 Package: android-file-transfer
 Architecture: any
