## android-file-transfer 4.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,10 @@
-cmake_minimum_required(VERSION 2.8.12)
+cmake_minimum_required(VERSION 3.5)
 project(android-file-transfer)
 
 set (CMAKE_CXX_STANDARD 11)
 
 set(VERSION_MAJOR "4")
-set(VERSION_MINOR "2")
+set(VERSION_MINOR "3")
 set(VERSION_PATCH "0")
 set(VERSION_COUNT 3)
 set(VERSION "${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH}")
@@ -17,6 +17,10 @@
 	find_program(OTOOL_BIN otool)
 endif()
 
+if (${CMAKE_SYSTEM_NAME} MATCHES "Haiku")
+	set(USB_BACKEND_HAIKU TRUE)
+endif()
+
 set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake ${CMAKE_MODULE_PATH})
 
 include(FindPkgConfig)
@@ -28,10 +32,11 @@
 option(BUILD_FUSE "Build fuse mount helper" ON)
 option(BUILD_MTPZ "Build with MTPZ support" ON)
 option(BUILD_PYTHON "Build python module" ON)
+set(BUILD_PYTHON_VERSION "" CACHE STRING "Force specific python version to build")
 option(BUILD_TAGLIB "Build with taglib support" ON)
 
 if (BUILD_PYTHON)
-	find_package (Python COMPONENTS Interpreter Development QUIET)
+	find_package (Python ${BUILD_PYTHON_VERSION} COMPONENTS Interpreter Development QUIET)
 endif()
 
 if (BUILD_SHARED_LIB)
@@ -57,7 +62,9 @@
 endif()
 
 if (PYTHON_FOUND)
-	set(CMAKE_POSITION_INDEPENDENT_CODE ON)
+	if (NOT HAIKU)
+		set(CMAKE_POSITION_INDEPENDENT_CODE ON)
+	endif()
 	find_package(pybind11)
 	if (NOT pybind11_FOUND)
 		set(CMAKE_REQUIRED_INCLUDES ${Python_INCLUDE_DIRS})
@@ -165,6 +172,14 @@
 		mtp/backend/darwin/usb/Exception.cpp
 		mtp/backend/darwin/usb/Interface.cpp
 	)
+elseif (USB_BACKEND_HAIKU)
+	add_definitions(-DUSB_BACKEND_HAIKU)
+	list(APPEND SOURCES
+		mtp/backend/haiku/usb/Context.cpp
+		mtp/backend/haiku/usb/Device.cpp
+		mtp/backend/haiku/usb/DeviceDescriptor.cpp
+	)
+	list(APPEND MTP_LIBRARIES device)
 else()
 	list(APPEND SOURCES
 		mtp/backend/linux/usb/Endpoint.cpp
@@ -230,6 +245,8 @@
 	target_include_directories(${LIB_NAME} PUBLIC mtp/backend/libusb)
 elseif (USB_BACKEND_DARWIN)
 	target_include_directories(${LIB_NAME} PUBLIC mtp/backend/darwin)
+elseif (USB_BACKEND_HAIKU)
+	target_include_directories(${LIB_NAME} PUBLIC mtp/backend/haiku)
 else()
 	target_include_directories(${LIB_NAME} PUBLIC mtp/backend/linux)
 endif()
