=== debian/changelog ===
android-file-transfer (4.3-1build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:13:27 +1100

android-file-transfer (4.3-1build2) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 03:51:02 +0000

android-file-transfer (4.3-1build1) noble; urgency=medium

  * No-change rebuild for readline time64 change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 14 Mar 2024 02:52:26 +0100

android-file-transfer (4.3-1) unstable; urgency=medium

  * New upstream version 4.3
  * Drop patch included in upstream release
  * Do not repack upstream tarball, no longer needed
  * Standards-Version: 4.6.2 (no changes required)

 -- Dylan Aïssi <daissi@debian.org>  Tue, 16 Jan 2024 09:50:15 +0100

android-file-transfer (4.2-2) unstable; urgency=medium

  * Cherry-pick upstream fix for GCC 13 (Closes: 1037572)
  * Drop useless debian/salsa-ci.yml

 -- Dylan Aïssi <daissi@debian.org>  Tue, 25 Jul 2023 11:44:39 +0200
