=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: android-file-transfer
-Maintainer: Dylan Aïssi <daissi@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Dylan Aïssi <daissi@debian.org>
 Section: misc
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
@@ -9,7 +10,7 @@
                libreadline-dev,
                pkg-config,
                qttools5-dev
-Standards-Version: 4.5.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/debian/android-file-transfer
 Vcs-Git: https://salsa.debian.org/debian/android-file-transfer.git
 Homepage: https://whoozle.github.io/android-file-transfer-linux/
