## android-file-transfer 4.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,13 +1,25 @@
-cmake_minimum_required(VERSION 3.5)
+cmake_minimum_required(VERSION 3.10)
 project(android-file-transfer)
 
 set (CMAKE_CXX_STANDARD 11)
 
-set(VERSION_MAJOR "4")
-set(VERSION_MINOR "3")
-set(VERSION_PATCH "0")
-set(VERSION_COUNT 3)
-set(VERSION "${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH}")
+file(READ ${CMAKE_SOURCE_DIR}/README.md README_MD)
+string(REGEX MATCH "version-([0-9a-fA-F.]+)-" _VERSION ${README_MD})
+set(AFT_BASE_VERSION ${CMAKE_MATCH_1})
+
+find_package(Git)
+execute_process(COMMAND ${GIT_EXECUTABLE}  -C ${CMAKE_SOURCE_DIR} rev-parse --short HEAD
+	OUTPUT_VARIABLE AFT_REVISION
+	OUTPUT_STRIP_TRAILING_WHITESPACE
+	RESULT_VARIABLE GIT_STATUS
+	WORKING_DIRECTORY ${CMAKE_SOURCE_DIR})
+
+if (GIT_STATUS EQUAL 0)
+	set(AFT_VERSION "${AFT_BASE_VERSION}-${AFT_REVISION}")
+else()
+	set(AFT_VERSION "${AFT_BASE_VERSION}-snapshot")
+endif()
+message(STATUS "version: ${AFT_VERSION}, base version: ${AFT_BASE_VERSION}")
 
 message(STATUS "building for ${CMAKE_SYSTEM_NAME}")
 
@@ -46,7 +58,7 @@
 endif()
 
 if (BUILD_FUSE)
-	pkg_check_modules ( FUSE fuse )
+	pkg_check_modules ( FUSE fuse3 )
 endif()
 
 if (BUILD_TAGLIB)
@@ -58,7 +70,7 @@
 
 if (FUSE_FOUND)
 	message(STATUS "fuse found, building mount helper")
-	add_definitions(${FUSE_CFLAGS} -DFUSE_USE_VERSION=26)
+	add_definitions(${FUSE_CFLAGS} -DFUSE_USE_VERSION=35 -DFUSE_DARWIN_ENABLE_EXTENSIONS=0)
 endif()
 
 if (PYTHON_FOUND)
@@ -112,6 +124,7 @@
 	mtp/ptp/DataTypeCode.cpp
 	mtp/ptp/Device.cpp
 	mtp/ptp/DeviceProperty.cpp
+	mtp/ptp/EventCode.cpp
 	mtp/ptp/Messages.cpp
 	mtp/ptp/ObjectFormat.cpp
 	mtp/ptp/ObjectProperty.cpp
@@ -133,17 +146,6 @@
 	mtp/mtpz/TrustedApp.cpp
 )
 
-exec_program(git ARGS describe --tags --match='v*' OUTPUT_VARIABLE AFT_VERSION RETURN_VALUE GIT_STATUS)
-if (GIT_STATUS EQUAL 0)
-	string(REGEX MATCH "v([0-9a-fA-F.]+)-" _VERSION ${AFT_VERSION})
-	set(AFT_BASE_VERSION ${CMAKE_MATCH_1})
-else()
-	file(READ ${CMAKE_SOURCE_DIR}/README.md README_MD)
-	string(REGEX MATCH "version-([0-9a-fA-F.]+)-" _VERSION ${README_MD})
-	set(AFT_BASE_VERSION ${CMAKE_MATCH_1})
-	set(AFT_VERSION "v${AFT_BASE_VERSION}-snapshot")
-endif()
-message(STATUS "version: ${AFT_VERSION}, base version: ${AFT_BASE_VERSION}")
 
 set(VERSION_SRC ${CMAKE_CURRENT_BINARY_DIR}${CMAKE_FILES_DIRECTORY}/version.cpp)
 configure_file(mtp/version.cpp.in ${VERSION_SRC})
@@ -216,7 +218,7 @@
 
 if (BUILD_SHARED_LIB)
 	add_library(${LIB_NAME} SHARED ${SOURCES})
-	set_target_properties(${LIB_NAME} PROPERTIES SOVERSION ${VERSION})
+	set_target_properties(${LIB_NAME} PROPERTIES SOVERSION ${AFT_BASE_VERSION})
 	target_link_libraries(${LIB_NAME} PRIVATE ${CMAKE_THREAD_LIBS_INIT} ${MTP_SHARED_LIBRARIES})
 
 	if (USB_BACKEND_LIBUSB)
@@ -257,7 +259,7 @@
 		list(APPEND MACOSX_BUNDLE_LIBS /usr/local/opt/openssl@1.1/lib/libcrypto.1.1.dylib)
 	endif()
 	if (TAGLIB_FOUND)
-		list(APPEND MACOSX_BUNDLE_LIBS /usr/local/opt/taglib/lib/libtag.1.dylib)
+		list(APPEND MACOSX_BUNDLE_LIBS /usr/local/opt/taglib/lib/libtag.2.dylib)
 	endif()
 	if (FUSE_FOUND)
 		list(APPEND MACOSX_BUNDLE_LIBS /usr/local/lib/libosxfuse.2.dylib)
