=== qt/CMakeLists.txt ===
--- 
+++ 
@@ -1,12 +1,19 @@
 if(DESIRED_QT_VERSION)
 	if(DESIRED_QT_VERSION MATCHES 4)
 		find_package(Qt4 QUIET)
-	else()
+	elseif(DESIRED_QT_VERSION MATCHES 5)
 		find_package(Qt5Widgets QUIET)
 		find_package(Qt5Network QUIET)
 		find_package(Qt5LinguistTools QUIET)
+	else()
+		find_package(Qt6Widgets QUIET)
+		find_package(Qt6Network QUIET)
+		find_package(Qt6LinguistTools QUIET)
 	endif()
 else()
+	find_package(Qt6Widgets QUIET)
+	find_package(Qt6Network QUIET)
+	find_package(Qt6LinguistTools QUIET)
 	find_package(Qt5Widgets QUIET)
 	find_package(Qt5Network QUIET)
 	find_package(Qt5LinguistTools QUIET)
@@ -53,7 +60,23 @@
 	translations/android-file-transfer-linux_zh-CN.ts
 )
 
-if (Qt5Widgets_FOUND)
+if (Qt6Widgets_FOUND)
+	message(STATUS "Using Qt6")
+	qt6_wrap_cpp(HEADERS_MOC ${HEADERS})
+	qt6_wrap_ui(FORMS_HEADERS ${FORMS})
+
+	qt6_add_translation(QM_FILES ${TS_FILES})
+	set(QM_FILES_XML "")
+	foreach(_QM ${QM_FILES})
+		get_filename_component(_QM ${_QM} NAME)
+		set(QM_FILES_XML "${QM_FILES_XML}<file>${_QM}</file>")
+	endforeach()
+	configure_file(translations/translations.qrc.in translations.qrc)
+
+	qt6_add_resources(RESOURCES android-file-transfer.qrc ${CMAKE_CURRENT_BINARY_DIR}/translations.qrc)
+	include_directories(${Qt6Widgets_INCLUDE_DIRS} ${Qt6Network_INCLUDE_DIRS})
+	set(EXTRA_QT_LINK ${Qt6Widgets_LIBRARIES} ${Qt6Network_LIBRARIES})
+elseif (Qt5Widgets_FOUND)
 	message(STATUS "Using Qt5")
 	qt5_wrap_cpp(HEADERS_MOC ${HEADERS})
 	qt5_wrap_ui(FORMS_HEADERS ${FORMS})
@@ -97,11 +120,10 @@
 
 if (BUILD_QT_UI)
   if (${CMAKE_SYSTEM_NAME} MATCHES "Darwin")
-	set(MACOSX_BUNDLE_INFO_STRING "${CMAKE_PROJECT_NAME} ${PROJECT_VERSION}")
+	string(TIMESTAMP COPYRIGHT_YEAR "%Y")
 	set(MACOSX_BUNDLE_BUNDLE_VERSION "${AFT_BASE_VERSION}")
-	set(MACOSX_BUNDLE_LONG_VERSION_STRING "${CMAKE_PROJECT_NAME} ${PROJECT_VERSION}")
-	set(MACOSX_BUNDLE_SHORT_VERSION_STRING "${PROJECT_VERSION}")
-	set(MACOSX_BUNDLE_COPYRIGHT "2015-2020 Vladimir Menshakov")
+	set(MACOSX_BUNDLE_SHORT_VERSION_STRING "${AFT_VERSION}")
+	set(MACOSX_BUNDLE_COPYRIGHT "2015-${COPYRIGHT_YEAR} Vladimir Menshakov")
 	set(MACOSX_BUNDLE_ICON_FILE "android-file-transfer.icns")
 	set(MACOSX_BUNDLE_GUI_IDENTIFIER "io.github.whoozle.android-file-transfer-linux")
 	set(MACOSX_BUNDLE_BUNDLE_NAME "${CMAKE_PROJECT_NAME}")
