=== python/example/requirements.txt ===
pyinquirer
