=== debian/changelog ===
android-file-transfer (4.5-2) unstable; urgency=medium

  * Upload to unstable.

 -- Dylan Aïssi <daissi@debian.org>  Mon, 11 Aug 2025 09:10:25 +0200

android-file-transfer (4.5-1) experimental; urgency=medium

  * New upstream version 4.5
  * Switch from fuse to fuse3 in Build-Deps (Closes: 1084450).
  * Switch from pkg-config to pkgconf in Build-Deps.
  * Add libssl-dev in Build-Deps to enable MTPZ support.
  * Add libtag-dev in Build-Deps to enable taglib support.
  * Add libmagic-dev in Build-Deps.
  * Standards-Version: 4.7.2 (no changes required).
  * Add debian/salsa-ci.yml.
  * Switch to Qt6.
  * Use execute_after_dh_auto_install.

 -- Dylan Aïssi <daissi@debian.org>  Tue, 27 May 2025 23:29:46 +0200
