=== debian/control ===
--- 
+++ 
@@ -1,16 +1,18 @@
 Source: android-file-transfer
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Dylan Aïssi <daissi@debian.org>
+Maintainer: Dylan Aïssi <daissi@debian.org>
 Section: misc
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                cmake,
-               qtbase5-dev,
-               libfuse-dev,
+               qt6-base-dev,
+               libfuse3-dev,
+               libmagic-dev,
                libreadline-dev,
-               pkg-config,
-               qttools5-dev
-Standards-Version: 4.6.2
+               libssl-dev,
+               libtag-dev,
+               pkgconf,
+               qt6-tools-dev
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/debian/android-file-transfer
 Vcs-Git: https://salsa.debian.org/debian/android-file-transfer.git
 Homepage: https://whoozle.github.io/android-file-transfer-linux/
