=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

execute_after_dh_auto_install:
	# Removing unused files
	rm -f debian/android-file-transfer/usr/lib/libmtp-ng-static.a
	find debian/android-file-transfer/ -type d -empty -delete
