=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/android-file-transfer-linux-$1\.tar\.gz/ \
  https://github.com/whoozle/android-file-transfer-linux/tags .*/v?(\d\S+)\.tar\.gz
